logo
facoltà di scienze statistiche | dipartimento di scienze statistiche | università di padova 
spacer
spacer

Installazione della libreria ast

Dalla "sorgente"

ast_XXX.tar.gz (dove XXX indica la versione) contiene i "sorgenti" R, C e FORTRAN della libreria e l'inizio della relativa documentazione organizzati come un package R.
 
L'installazione può essere fatta come per un qualsiasi altro package (si veda al proposito la documentazione che è inclusa in una qualsiasi installazione di R).
 
Se il sistema su cui si sta lavorando è stato ben configurato e se sono disponibili tutti i tools (compilatori, perl,...) necessari per l'installazione è tipicamente sufficiente aprire una finestra di comandi (una shell nel gergo di Unix, una console nel gergo di MsWindows) e poi digitare
> R CMD INSTALL ast_XXX.tar.gz
se si sta lavorando su di una macchina Unix/Linux o
> RCmd INSTALL ast_XXX.tar.gz
se si sta lavorando in una macchina MsWindows.

Versione precompilata per MsWindows

ast_XXX.zip contiene una versione della libreria compilata per MsWindow e pronta per l'installazione. Per installarla non sono necessari tools aggiuntivi. E' sufficiente:
  1. scaricare il file da qualche parte sul proprio disco fisso (o anche su di un dischetto)
  2. lanciare RGui
  3. selezionare nel menu Packages la voce Install from local zip file...
  4. nel menu di selezione di un file che compare, selezionare il file scaricato

Per rendere disponibili le funzioni nella libreria

L'installazione deve essere fatta una sola volta. Ogni volta che si vuole utilizzare le funzioni della libreria, sarà necessario, dal prompt di R, eseguire il comando
> library(ast)
Le versioni pre-compilate per ms-windows sono, ovviamente, state preparate utilizzando una specifica versione di R. Se vengono caricate in versioni di R differenti, dovrebbe comparire un warning che, dovrebbe essere trascurabile. Si notino i condizionali. Si stia inoltre attenti al fatto che, essendo cambiato il formato "binario", delle biblioteche di R, una versione preparata per una versione di R inferiore alla 2.0 non "funziona" nelle versioni di R uguali o superiori alla 2.0.